summaryrefslogtreecommitdiffstats
path: root/source/n/postfix/postfix.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/postfix/postfix.SlackBuild')
-rwxr-xr-xsource/n/postfix/postfix.SlackBuild14
1 files changed, 13 insertions, 1 deletions
diff --git a/source/n/postfix/postfix.SlackBuild b/source/n/postfix/postfix.SlackBuild
index 1227f2918..13f71e66f 100755
--- a/source/n/postfix/postfix.SlackBuild
+++ b/source/n/postfix/postfix.SlackBuild
@@ -28,7 +28,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=postfix
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -186,6 +186,18 @@ cp -a examples/smtpd-policy/greylist.pl $PKG/usr/libexec/postfix
chown root:root $PKG/usr/libexec/postfix/greylist.pl
chmod 755 $PKG/usr/libexec/postfix/greylist.pl
+# Add some additional tools:
+install -m 0755 -oroot -groot bin/posttls-finger $PKG/usr/bin/ || exit 1
+install -m 0644 -oroot -groot man/man1/posttls-finger.1 $PKG/usr/man/man1/ || exit 1
+install -m 0644 -oroot -groot html/posttls-finger.1.html $PKG/usr/doc/$PKGNAM-$VERSION/html/ || exit 1
+install -m 0755 -oroot -groot auxiliary/qshape/qshape.pl $PKG/usr/bin/ || exit 1
+install -m 0644 -oroot -groot man/man1/qshape.1 $PKG/usr/man/man1/ || exit 1
+install -m 0644 -oroot -groot html/qshape.1.html $PKG/usr/doc/$PKGNAM-$VERSION/html/ || exit 1
+install -m 0755 -oroot -groot auxiliary/collate/collate.pl $PKG/usr/bin/ || exit 1
+cp -a auxiliary/collate/README $PKG/usr/doc/$PKGNAM-$VERSION/readme/README.collate || exit 1
+install -m 0755 -oroot -groot bin/{smtp,qmqp}-{source,sink} $PKG/usr/sbin/ || exit 1
+install -m 0644 -oroot -groot man/man1/{smtp,qmqp}-{source,sink}.1 $PKG/usr/man/man1/ || exit 1
+
# Move configuration files to filename.new:
find $PKG/etc/postfix -type f ! -name "*.default" ! -name "*.proto" ! -name "*.out" \
! -name "postfix-files" -exec mv {} {}.new \;